<template>
    <Loading />
    <FlashToast />
    <router-view></router-view>
</template>

<script>
// import * as authService from '@/services/auth_service';
import Loading from './components/common/Loading.vue';
import { useStore } from 'vuex';
import { useRouter, useRoute } from 'vue-router';
import { watch, inject,onMounted } from 'vue';
export default {
    components: {
        Loading
    },
    setup() {
        const store = useStore();
        const route = useRoute();

        onMounted(() => {
            setTimeout(() => {
                store.state.isLoading = false;
            }, 500);
        });

        watch(() => route.path, (currentRoute, previousRoute) => {
            store.state.backTo = previousRoute;
        });

    }
}

</script>
